//<clean=none></clean>
#ifndef serverh
#define serverh

#define server_max 100
#define server_no_job 0
#define server_job_ready 1
#define server_job_running 2

#include "true_false.h"
#include "sim.h"
struct server globalserver;

struct my_msgbuf {
    long mtype;
    char mtext[200];
};


struct server
{

char command[server_max][200];
int state[server_max];
int jobs;
int jobs_running;
int cpus;
int fd;
int wd;
int on;
int readconfig;
};

void server_shut_down(struct server *myserver);
void server_add_job(struct server *myserver,char *command);
void print_jobs(struct server *myserver);
void server_init(struct server *myserver);
void server_exe_jobs(struct server *myserver);
void server_job_finished(struct server *myserver,char *job);
void server_run_jobs(struct server *myserver);
double server_get_odes_per_s();
double server_get_jobs_per_s();
#endif
